## ldb 1.5.1+really1.4.6

=== debian/changelog ===
ldb (2:1.5.1+really1.4.6-3+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * lib ldb: Check if ldb_lock_backend_callback called twice (CVE-2020-10730)
  * ldb_dn: avoid head corruption in ldb_dn_explode (CVE-2020-27840)
    (Closes: #985936)
  * ldb/attrib_handlers casefold: stay in bounds (CVE-2021-20277)
    (Closes: #985935)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 28 Mar 2021 10:35:25 +0200

ldb (2:1.5.1+really1.4.6-3) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Sat, 30 Mar 2019 18:09:28 +0100

ldb (2:1.5.1+really1.4.6-2) experimental; urgency=medium

  * Fix 00_Enable-make-test-even-without-lmdb.patch to prevent FTBFS on 32-bit
    systems

 -- Mathieu Parent <sathieu@debian.org>  Wed, 20 Mar 2019 20:54:20 +0100

ldb (2:1.5.1+really1.4.6-1) experimental; urgency=medium

  * New upstream version 1.4.6
    - d/watch: Pin ldb version to 1.4.x
    - d/watch: Mangle 1.5.1+really from debian version
    - Update 00_Enable-make-test-even-without-lmdb.patch as merged upstream
    - Drop CVE-2019-3824-v4-9.patch, merged
    - Update symbols

 -- Mathieu Parent <sathieu@debian.org>  Wed, 20 Mar 2019 07:26:57 +0100
