=== debian/control ===
Source: ldb
Section: devel
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
           Mathieu Parent <sathieu@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               docbook-xml,
               docbook-xsl,
               libcmocka-dev (>= 1.1.1~),
               libldap2-dev,
               liblmdb-dev (>= 0.9.16),
               libpopt-dev,
               libtalloc-dev (>= 2.1.14~),
               libtdb-dev (>= 1.3.16~),
               libtevent-dev (>= 0.9.37~),
               pkg-config,
               python (>= 2.6.6-3),
               python-all-dbg (>= 2.6.6-3),
               python-all-dev (>= 2.6.6-3),
               python-talloc-dev (>= 2.1.14~),
               python-tdb (>= 1.3.16~),
               xsltproc
Rules-Requires-Root: no
Homepage: http://ldb.samba.org/
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/samba-team/ldb
Vcs-Git: https://salsa.debian.org/samba-team/ldb.git

Package: libldb1
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: libldb0
Breaks: ldb-tools (<<1.1.30~),
        libldb0,
        libsamdb0 (<< 4.0.0~alpha17~git20110724.dfsg1-1),
        python-samba (<< 2:4.7.0~),
        samba (<<2:4.7.0~),
        samba-dsdb-modules (<< 2:4.7.0~),
        samba-libs (<< 2:4.7.0~),
        samba-testsuite (<< 2:4.7.0~)
Description: LDAP-like embedded database - shared library
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 It provides a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the shared library file.

Package: ldb-tools
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: LDAP-like embedded database - tools
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 What ldb does is provide a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains bundled test and utility binaries

Package: libldb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc6-dev,
         libldb1 (= ${binary:Version}),
         libtalloc-dev,
         libtdb-dev,
         pkg-config,
         ${misc:Depends}
Description: LDAP-like embedded database - development files
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 What ldb does is provide a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the development files.

Package: python-ldb
Pre-Depends: ${misc:Pre-Depends}
Section: python
Architecture: any
Depends: libldb1 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Breaks: ${python:Breaks}
Description: Python bindings for LDB
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 This package contains the Python bindings.

Package: python-ldb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc6-dev,
         libldb-dev,
         pkg-config,
         python-ldb (= ${binary:Version}),
         ${misc:Depends}
Description: LDB Python bindings - development files
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 It is a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the development files for the Python bindings.
