## ldb 1.5.1+really1.4.6.2

=== debian/changelog ===
ldb (2:1.5.1+really1.4.6.2-1+security) unstable; urgency=medium

  * update

 -- Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>  Fri, 16 Apr 2021 14:49:12 +0800

ldb (2:1.5.1+really1.4.6.2-1+security) buster; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-27840 CVE-2021-20277

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 16 Apr 2021 14:16:57 +0800
