## ldb 1.5.1+really1.4.7

=== debian/changelog ===
ldb (2:1.5.1+really1.4.7-1) unstable; urgency=medium

  [ Salsa Pipeline ]
  * Update salsa CI pipeline

  [ Mathieu Parent ]
  * New upstream version 1.4.7
    - Update symbols (no change)

 -- Mathieu Parent <sathieu@debian.org>  Sun, 07 Jul 2019 10:06:38 +0200
