## ldb 1.5.4

=== debian/changelog ===
ldb (2:1.5.4-0ubuntu1) disco; urgency=medium

  * New upstream version: 1.5.4 (LP: #1818525):
    - d/libldb1.symbols: update for this version
    - d/p/00_Enable-make-test-even-without-lmdb.patch: refreshed
    - Removed patches, applied upstream:
      + d/p/03_EBADE
      + d/p/CVE-2019-3824-*.patch
    - d/control: bump build-deps:
      + require talloc >= 2.1.16
      + require tdb >= 1.3.18
      + require tevent >= 0.9.39
    - d/libldb1.install: added libldb-tdb-{err-map,int}.so
  * d/rules: use Makefile targets instead of direct WAF calls
  * Add python3 packages (LP: #1440381):
    - d/control: add python3 packages
    - d/rules: clean extra paths in the clean target
    - d/python3-ldb*.install: install files for the new python3 packages.
    - d/control, d/python3-ldb-dev.install, d/rules: use dh-exec and
      install the python header file in a version-dependent include dir.
    - d/python3-ldb.symbols.*: add per-architecture symbols files
    - d/rules: dh_makeshlibs for python3-ldb
    - d/rules: exclude "ldb." from symbols check/generation, as to match
      the python3 extension name.
    - d/rules: fix tevent globbing used in its removal
  * d/control, d/python-ldb*, d/rules: drop python2 packages and support

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 08 Mar 2019 16:41:11 +0000

ldb (2:1.5.1+really1.4.3-1ubuntu2) disco; urgency=medium

  * SECURITY UPDATE: Out of bound read in ldb_wildcard_compare
    - debian/patches/CVE-2019-3824-1.patch: fix length.
    - debian/patches/CVE-2019-3824-2.patch: add extra comments.
    - debian/patches/CVE-2019-3824-3.patch: improve code style.
    - debian/patches/CVE-2019-3824-4.patch: use talloc_zero.
    - debian/patches/CVE-2019-3824-5.patch: check tree operation.
    - debian/patches/CVE-2019-3824-6.patch: fix end of data check.
    - CVE-2019-3824

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 26 Feb 2019 11:37:34 -0500

ldb (2:1.5.1+really1.4.3-1ubuntu1) disco; urgency=medium

  * Do not build with libmdb which is in Universe:
    - d/control: drop build-depends on libmdb-dev
    - d/libldb1.install: do not install libldb-mdb-int.so
    - d/rules: build without lmdb

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 27 Nov 2018 11:44:53 -0200
