=== debian/changelog ===
ldb (2:1.5.5-0ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:55:57 +0000

ldb (2:1.5.5-0ubuntu1) eoan; urgency=medium

  * New upstream release: 1.5.5
    - d/python3-ldb.symbols.*, d/libldb1.symbols: updated symbols

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 08 Aug 2019 16:15:44 -0300
