=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: ldb
 Section: devel
 Priority: optional
-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
            Mathieu Parent <sathieu@debian.org>
 Build-Depends: debhelper (>= 11),
+               dh-exec,
                dh-python,
                docbook-xml,
                docbook-xsl,
                libcmocka-dev (>= 1.1.1~),
                libldap2-dev,
-               liblmdb-dev (>= 0.9.16),
                libpopt-dev,
-               libtalloc-dev (>= 2.1.14~),
-               libtdb-dev (>= 1.3.16~),
-               libtevent-dev (>= 0.9.37~),
+               libtalloc-dev (>= 2.1.16~),
+               libtdb-dev (>= 1.3.18~),
+               libtevent-dev (>= 0.9.39~),
                pkg-config,
-               python (>= 2.6.6-3),
-               python-all-dbg (>= 2.6.6-3),
-               python-all-dev (>= 2.6.6-3),
-               python-talloc-dev (>= 2.1.14~),
-               python-tdb (>= 1.3.16~),
+               python3,
+               python3-all-dbg (>= 2.6.6-3),
+               python3-all-dev (>= 2.6.6-3),
+               python3-talloc-dev (>= 2.1.16~),
+               python3-tdb (>= 1.3.18~),
                xsltproc
 Rules-Requires-Root: no
 Homepage: http://ldb.samba.org/
@@ -89,31 +90,31 @@
  .
  This package contains the development files.
 
-Package: python-ldb
+Package: python3-ldb
 Pre-Depends: ${misc:Pre-Depends}
 Section: python
 Architecture: any
 Depends: libldb1 (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python3:Depends},
          ${shlibs:Depends}
 Provides: ${python:Provides}
 Breaks: ${python:Breaks}
-Description: Python bindings for LDB
+Description: Python 3 bindings for LDB
  ldb is a LDAP-like embedded database built on top of TDB.
  .
- This package contains the Python bindings.
+ This package contains the Python 3 bindings.
 
-Package: python-ldb-dev
+Package: python3-ldb-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libc6-dev,
          libldb-dev,
          pkg-config,
-         python-ldb (= ${binary:Version}),
+         python3-ldb (= ${binary:Version}),
          ${misc:Depends}
-Description: LDB Python bindings - development files
+Description: LDB Python 3 bindings - development files
  ldb is a LDAP-like embedded database built on top of TDB.
  .
  It is a fast database with an LDAP-like API designed
@@ -121,4 +122,4 @@
  intermediate solution between key-value pair databases and a real LDAP
  database.
  .
- This package contains the development files for the Python bindings.
+ This package contains the development files for the Python 3 bindings.
