## ldb 1.5.7

=== debian/changelog ===
ldb (2:1.5.7-0ubuntu0.19.10.1) eoan-security; urgency=medium

  * Updated to 1.5.7 to fix samba security issue.
    - debian/*.symbols*: added new 1.5.7 symbols.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 22 Apr 2020 09:49:56 -0400
