## ldb 2.0.8

=== debian/changelog ===
ldb (2:2.0.8-2) unstable; urgency=medium

  [ Andreas Hasenack ]
  * d/python3-ldb.symbols*: update symbols for python 3.8 (Closes: #953331)

 -- Mathieu Parent <sathieu@debian.org>  Mon, 09 Mar 2020 11:05:52 +0100

ldb (2:2.0.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use dh $@ sequencer.

  [ Mathieu Parent ]
  * d/watch: Remove outdated dversionmangle
  * d/watch: Pin to ldb 2.0.x (for samba 4.11)
  * New upstream version 2.0.8
    - Update symbols
  * Standards-Version: 4.5.0, no change
  * d/control: libldb-dev Depends libtevent-dev

 -- Mathieu Parent <sathieu@debian.org>  Mon, 27 Jan 2020 10:45:29 +0100

ldb (2:2.0.7-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.

  [ Mathieu Parent ]
  * Only build on default python3 (Closes: #942669)

 -- Mathieu Parent <sathieu@debian.org>  Sun, 17 Nov 2019 14:42:51 +0100

ldb (2:2.0.7-3) unstable; urgency=medium

  * Fix FTBFS on some arches:
    - Skip test_guid_indexed_v1_db on mips64el, ppc64el, ia64, ppc64

 -- Mathieu Parent <sathieu@debian.org>  Wed, 02 Oct 2019 21:26:49 +0200

ldb (2:2.0.7-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Mathieu Parent ]
  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Wed, 02 Oct 2019 07:07:59 +0200

ldb (2:2.0.7-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 2.0.7
    - d/watch: Unpin ldb to 1.4.x
    - d/control: Bump build-deps: talloc 2.2.0, tdb 1.4.2, tevent 0.10.0
    - Drop 00_Enable-make-test-even-without-lmdb.patch, merged
    - Replace libldb1 by libldb2 (ABI Bump)
    - Update symbols

 -- Mathieu Parent <sathieu@debian.org>  Mon, 16 Sep 2019 13:59:24 +0200

ldb (2:1.5.5-2) unstable; urgency=medium

  * Upload to unstable
  * d/copyright:
    - Move common/qsort.c as if it was lib/ldb/common/qsort.c
    - Move tools/* as if it was lib/ldb/tools/*
    - Sort lib/{talloc,tdb,tevent}

 -- Mathieu Parent <sathieu@debian.org>  Tue, 10 Sep 2019 18:21:30 +0200

ldb (2:1.5.5-1) experimental; urgency=medium

  [ Mathieu Parent ]
  * New upstream version 1.5.5
  * Update salsa-ci.yml

  [ Timo Aaltonen ]
  * d/p/00_Enable-make-test-even-without-lmdb.patch: Refreshed.
  * d/p/03_EBADE: Dropped, upstream.
  * d/control: Bump build-deps: talloc 2.1.16, tdb 1.3.18, tevent 0.9.39.
  * d/libldb1.install: added libldb-tdb-{err-map,int}.so
  * d/rules: use Makefile targets instead of direct WAF calls
  * Add python3 packages.
  * d/control, d/python3-ldb-dev.install, d/rules: use dh-exec and install the
    python header file in a version-dependent include dir.
  * d/python3-ldb.symbols.*: add per-architecture symbols files
  * d/libldb1.symbols: update for this version
  * d/rules: clean extra paths in the clean target
  * d/rules: fix tevent globbing used in its removal
  * d/control, d/python-ldb*, d/rules: drop python2 packages and support

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Contact, Name.

  [ Mathieu Parent ]
  * Fix file-contains-trailing-whitespace in d/control and d/rules
  * Standards-Version: 4.4.0
  * Override wrong-section-according-to-package-name python3-ldb-dev => python
  * Mark debian/python3-ldb-dev.install executable
  * Override package-name-doesnt-match-sonames libpyldb-util.cpython-*
  * d/copyright: Add waf copyright
  * d/copyright: Update lib/replace/*
  * d/copyright: Add missing lib/talloc/*
  * Add dh-exec-subst-unknown-variable override (for DEB_PY3_INCDIR)

 -- Mathieu Parent <sathieu@debian.org>  Sat, 24 Aug 2019 06:37:58 +0200
