=== debian/control ===
--- 
+++ 
@@ -1,35 +1,35 @@
 Source: ldb
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
            Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 11),
-               dh-exec,
+Build-Depends: dh-exec,
                dh-python,
                docbook-xml,
                docbook-xsl,
                libcmocka-dev (>= 1.1.1~),
                libldap2-dev,
+               liblmdb-dev (>= 0.9.16),
                libpopt-dev,
-               libtalloc-dev (>= 2.1.16~),
-               libtdb-dev (>= 1.3.18~),
-               libtevent-dev (>= 0.9.39~),
+               libtalloc-dev (>= 2.2.0~),
+               libtdb-dev (>= 1.4.2~),
+               libtevent-dev (>= 0.10.0~),
                pkg-config,
                python3,
-               python3-all-dbg (>= 2.6.6-3),
-               python3-all-dev (>= 2.6.6-3),
-               python3-talloc-dev (>= 2.1.16~),
-               python3-tdb (>= 1.3.18~),
-               xsltproc
+               python3-dbg,
+               python3-dev,
+               python3-talloc-dev (>= 2.2.0~),
+               python3-tdb (>= 1.4.2~),
+               xsltproc,
+               debhelper-compat (= 12)
 Rules-Requires-Root: no
-Homepage: http://ldb.samba.org/
-Standards-Version: 4.2.1
+Homepage: https://ldb.samba.org/
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/samba-team/ldb
 Vcs-Git: https://salsa.debian.org/samba-team/ldb.git
 
-Package: libldb1
+Package: libldb2
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
@@ -39,6 +39,7 @@
 Replaces: libldb0
 Breaks: ldb-tools (<<1.1.30~),
         libldb0,
+        libldb1 (<< 2:2~),
         libsamdb0 (<< 4.0.0~alpha17~git20110724.dfsg1-1),
         python-samba (<< 2:4.7.0~),
         samba (<<2:4.7.0~),
@@ -75,8 +76,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: libc6-dev,
-         libldb1 (= ${binary:Version}),
+         libldb2 (= ${binary:Version}),
          libtalloc-dev,
+         libtevent-dev,
          libtdb-dev,
          pkg-config,
          ${misc:Depends}
@@ -94,7 +96,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Section: python
 Architecture: any
-Depends: libldb1 (= ${binary:Version}),
+Depends: libldb2 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
