=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,10 @@
 
 DESTDIR=$(CURDIR)/debian/tmp
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $* --with python3
+	dh $@ --with python3
 
 override_dh_auto_configure:
 	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
@@ -32,8 +32,7 @@
 		--bundled-libraries=NONE,pytevent \
 		--minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		--with-modulesdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ldb/modules \
-		--without-ldb-lmdb
+		--with-modulesdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ldb/modules
 
 get-packaged-orig-source:
 	./debian/build-orig.sh
@@ -71,4 +70,4 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xldb. -ppython3-ldb -- -c4
-	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/ldb -plibldb1 -- -c4
+	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/ldb -plibldb2 -- -c4
