=== debian/changelog ===
ldb (2:2.1.4-2ubuntu0.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Heap corruption via crafted DN strings
    - debian/patches/CVE-2020-27840-1.patch: avoid head corruption in
      ldb_dn_explode in common/ldb_dn.c.
    - debian/patches/CVE-2020-27840-2.patch: add Dn.validate test to ldb
      in tests/python/crash.py, wscript.
    - CVE-2020-27840
  * SECURITY UPDATE: Out of bounds read in AD DC LDAP server
    - debian/patches/CVE-2021-20277-1.patch: add tests for
      ldb_wildcard_compare in tests/ldb_match_test.c.
    - debian/patches/CVE-2021-20277-2.patch: ldb_match tests with extra
      spaces in tests/ldb_match_test.c.
    - debian/patches/CVE-2021-20277-3.patch: remove tests from
      ldb_match_test that do not pass in tests/ldb_match_test.c.
    - debian/patches/CVE-2021-20277-4.patch: stay in bounds in
      common/attrib_handlers.c.
    - CVE-2021-20277

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Mar 2021 07:53:29 -0400

ldb (2:2.1.4-2) unstable; urgency=high

  * Also skip test_guid_indexed_v1_db on mipsel
  * Also skip ldb_lmdb_free_list_test on ia64

 -- Mathieu Parent <sathieu@debian.org>  Thu, 02 Jul 2020 14:25:48 +0200

ldb (2:2.1.4-1) unstable; urgency=high

  * New upstream version 2.1.4
    - CVE-2020-10730: NULL pointer de-reference and use-after-free in Samba AD
      DC LDAP Server with ASQ, VLV and paged_results.
    - Updade symbols, no change

 -- Mathieu Parent <sathieu@debian.org>  Thu, 02 Jul 2020 12:28:49 +0200

ldb (2:2.1.3-4) unstable; urgency=medium

  * Upload to unstable
  * Also skip ldb_lmdb_free_list_test on alpha

 -- Mathieu Parent <sathieu@debian.org>  Sun, 28 Jun 2020 11:28:16 +0200

ldb (2:2.1.3-3) experimental; urgency=medium

  * FTBFS: Also skip test_guid_indexed_v1_db on powerpc
  * FTBFS: Skip ldb_lmdb_free_list_test on ppc64el, ppc64 and sparc64

 -- Mathieu Parent <sathieu@debian.org>  Thu, 25 Jun 2020 15:16:24 +0200

ldb (2:2.1.3-2) experimental; urgency=medium

  * Fix FTBFS / Increase the over-estimation for sparse files

 -- Mathieu Parent <sathieu@debian.org>  Thu, 25 Jun 2020 09:48:54 +0200

ldb (2:2.1.3-1) experimental; urgency=medium

  * New upstream version 2.1.3
    - d/watch: Move to 2.1.x for samba 4.12.x
    - Update symbols
    - d/control: Bump build-deps: talloc 2.3.1, tdb 1.4.3, tevent 0.10.2

 -- Mathieu Parent <sathieu@debian.org>  Tue, 23 Jun 2020 17:58:39 +0200
