=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ldb
 Section: devel
 Priority: optional
-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
            Mathieu Parent <sathieu@debian.org>
 Build-Depends: dh-exec,
@@ -12,15 +13,15 @@
                libldap2-dev,
                liblmdb-dev (>= 0.9.16),
                libpopt-dev,
-               libtalloc-dev (>= 2.2.0~),
-               libtdb-dev (>= 1.4.2~),
-               libtevent-dev (>= 0.10.0~),
+               libtalloc-dev (>= 2.3.1~),
+               libtdb-dev (>= 1.4.3~),
+               libtevent-dev (>= 0.10.2~),
                pkg-config,
                python3,
                python3-dbg,
                python3-dev,
-               python3-talloc-dev (>= 2.2.0~),
-               python3-tdb (>= 1.4.2~),
+               python3-talloc-dev (>= 2.3.1~),
+               python3-tdb (>= 1.4.3~),
                xsltproc,
                debhelper-compat (= 12)
 Rules-Requires-Root: no
