=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/tar\.gz/tar.asc/,decompress" \
https://download.samba.org/pub/ldb/ ldb-(2\.1\..+).tar.gz
